//
//  KeyboardInputViewController.h
//  Keyboard iPad
//
//  Created by Devin Halperin on 7/30/10.
//  Copyright 2010 Opticon USA. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol KeyboardInputControllerDelegate

-(void)buttonTapped:(NSString*)sender;
-(void)closeTapped;

@end



@interface KeyboardInputViewController : UIViewController {
	id<KeyboardInputControllerDelegate> _delegate;
}

@property (nonatomic,assign) id<KeyboardInputControllerDelegate> delegate;

- (IBAction) keyTapped:(id)sender;
- (IBAction) returnTapped:(id)sender;
- (IBAction) closeTapped:(id)sender;
- (IBAction) deleteTapped:(id)sender;
- (IBAction) shiftTapped:(id)sender;
- (IBAction) spaceTapped:(id)sender;
- (IBAction) otherTapped:(id)sender;

@property(nonatomic,retain) IBOutlet UIButton *a;
@property(nonatomic,retain) IBOutlet UIButton *b;
@property(nonatomic,retain) IBOutlet UIButton *c;
@property(nonatomic,retain) IBOutlet UIButton *d;
@property(nonatomic,retain) IBOutlet UIButton *e;
@property(nonatomic,retain) IBOutlet UIButton *f;
@property(nonatomic,retain) IBOutlet UIButton *g;
@property(nonatomic,retain) IBOutlet UIButton *h;
@property(nonatomic,retain) IBOutlet UIButton *i;
@property(nonatomic,retain) IBOutlet UIButton *j;
@property(nonatomic,retain) IBOutlet UIButton *k;
@property(nonatomic,retain) IBOutlet UIButton *l;
@property(nonatomic,retain) IBOutlet UIButton *m;
@property(nonatomic,retain) IBOutlet UIButton *n;
@property(nonatomic,retain) IBOutlet UIButton *o;
@property(nonatomic,retain) IBOutlet UIButton *p;
@property(nonatomic,retain) IBOutlet UIButton *q;
@property(nonatomic,retain) IBOutlet UIButton *r;
@property(nonatomic,retain) IBOutlet UIButton *s;
@property(nonatomic,retain) IBOutlet UIButton *t;
@property(nonatomic,retain) IBOutlet UIButton *u;
@property(nonatomic,retain) IBOutlet UIButton *v;
@property(nonatomic,retain) IBOutlet UIButton *w;
@property(nonatomic,retain) IBOutlet UIButton *x;
@property(nonatomic,retain) IBOutlet UIButton *y;
@property(nonatomic,retain) IBOutlet UIButton *z;
@property(nonatomic,retain) IBOutlet UIButton *comma;
@property(nonatomic,retain) IBOutlet UIButton *period;
@property(nonatomic,retain) IBOutlet UIButton *shift_one;
@property(nonatomic,retain) IBOutlet UIButton *shift_two;
@property(nonatomic,retain) IBOutlet UIButton *other_one;
@property(nonatomic,retain) IBOutlet UIButton *other_two;

@end